// complejo.h - Declaración de la clase CComplejo
#if !defined( _COMPLEJO_H_ )
#define _COMPLEJO_H_

// Clase para operar con números complejos
class CComplejo
{
  private:
    double real, imag; // parte real e imaginaria
  public:
    CComplejo(double r = 0, double i = 0) : // constructor
    real(r), imag(i)
    {
    }
    CComplejo(int r) : real(r), imag(0) {}
    double ObtenerParteReal() const { return real; }
    double ObtenerParteImag() const { return imag; }
    void AsignarComplejo(double r, double i);
    CComplejo operator+(CComplejo x); // sumar complejos
    CComplejo operator-(CComplejo x); // restar complejos
};

#endif // _COMPLEJO_H_

